
From: Paul Mackerras <paulus@samba.org>

This patch is from Jake Moilanen <moilanen@austin.ibm.com>.

The instruction syntax for the in_be64 inline asm was incorrect for the "m"
constraint for the address parameter.  This patch fixes the instruction in the
inline asm.

Signed-off-by: Jake Moilanen <moilanen@austin.ibm.com>
Signed-off-by: Paul Mackerras <paulus@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-ppc64/io.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN include/asm-ppc64/io.h~ppc64-fix-in_be64-definition include/asm-ppc64/io.h
--- 25/include/asm-ppc64/io.h~ppc64-fix-in_be64-definition	2005-01-23 00:51:22.222297936 -0800
+++ 25-akpm/include/asm-ppc64/io.h	2005-01-23 00:51:22.225297480 -0800
@@ -371,7 +371,7 @@ static inline unsigned long in_be64(cons
 {
 	unsigned long ret;
 
-	__asm__ __volatile__("ld %0,0(%1); twi 0,%0,0; isync"
+	__asm__ __volatile__("ld%U1%X1 %0,%1; twi 0,%0,0; isync"
 			     : "=r" (ret) : "m" (*addr));
 	return ret;
 }
_
